Subject: Re: git-http-push and hooks

From: Nick Hengeveld <[email-masked]>
Date: Mon, 6 Feb 2006 15:22:31 -0800

On Mon, Feb 06, 2006 at 09:52:03PM +0100, Bertrand Jacquin (Beber) wrote:

> Why aren't excute hooks/* (with +x perms) when I do a git-http-push ?
> Also if i push with cg-push on the same repo but with git+ssh
> protocol, hooks are execute.

Hooks must run on the destination server when you're doing a push.  If
you use the git+ssh protocol, that server is running a git daemon that
knows how to execute hooks; if you use the http/DAV protocol, that
server does not.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.